Subject: bug#43858: 28.0.50; [feature/native-comp] Missing eln cache not created

From: Andrew Whatson <[email-masked]>
Date: Thu, 8 Oct 2020 10:01:23 +1000

After removing ~/.emacs.d/eln-cache, running "emacs -q" starts up with
the error "native-compile-async: Wrong type argument: stringp, nil".
This is caused by `comp-el-to-eln-filename' returning nil due to no
writeable eln cache directory being found.

I think we should attempt to create the cache directories if they're
missing, and have a better error if there is *really* no writeable
cache directory.